<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerAnggota extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        check_not_login();
        if ($this->session->userdata('level') != 5) {
            redirect();
        }
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->library('pdfgenerator');
        $this->load->library('Notifikasi');
        $this->load->model('bagian_kasir/insert_model');
        $this->load->model('bagian_kasir/select_model');
        $this->load->model('bagian_kasir/update_model');
        $this->set_timezone();
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function index()
    {
        $notif                 = $this->notifikasi->notif_kasir();
        // Data Login
        $data_login            = $this->userlogin->user_login();
        $data_id_login         = $this->session->userdata('isloggedin');
        // Query SQL Data atau isi data page
        $data_anggota_koperasi = $this->select_model->vd_anggotaKoeprasi();
        $anggota_aktif         = count($this->select_model->vd_anggotaKoeprasiAktif());
        $anggota_pasif         = count($this->select_model->vd_anggotaKoeprasiPasif());

        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder' => 'anggota',
            'page'   => 'index',
            'judul'  => 'Kelola Data Anggota Koperasi || Bagian Kasir',
            // Isi data
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            'notif'               => $notif,
            // Data isian konten
            'anggota_koperasi'    => $data_anggota_koperasi,
            'jml_aktif'           => $anggota_aktif,
            'jml_pasif'           => $anggota_pasif
        );
        $this->load->view('kasir/index', $data);
    }
    public function profile()
    {
        // NOtifikasi
        $notif            = $this->notifikasi->notif_kasir();
        $data_login       = $this->userlogin->user_login('isloggedin');
        $data_id_login    = $this->session->userdata('isloggedin');
        // End Notifikasi
        $login_id                  = $data_id_login;
        $data_login_karyawan       = $this->db->get_where('sistem_login', ['id' => $login_id])->row_array();
        $date_role_level           = $this->db->get_where('sistem_role_level', ['id' => $data_login_karyawan['role_id']])->row_array();
        $data_identitas            = $this->db->get_where('sistem_identitas', ['login_id' => $data_login_karyawan['id']])->row_array();
        $data_alamat               = $this->db->get_where('sistem_alamat', ['id' => $data_identitas['alamat_id']])->row_array();
        $data_kotkab               = $this->select_model->vd_kotkab();
        // echo '<pre>';
        // var_dump($login_id);
        // die;
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'            => 'identitas/profile',
            'page'              => 'index',
            'judul'             => 'Data Identitas Saya || Bagian Kasir',
            'data_id_login'     => $data_id_login,
            'data_login'        => $data_login,
            'notif'             => $notif,
            'data_kota'         => $data_kotkab,
            // Data Login      
            'login'             => $data_login_karyawan,
            'role_level'        => $date_role_level,
            'identitas'         => $data_identitas,
            'alamat'            => $data_alamat
        );
        $this->load->view('kasir/index', $data);
    }
    public function dataview()
    {
        $csrf_name = $this->security->get_csrf_token_name();
        $csrf_hash = $this->security->get_csrf_hash();
        $query  = "Select * from tbl_anggota as A join sistem_alamat as B on A.id_alamat=B.id";
        $search = array('nik', 'no_hp');
        $where  = null;
        // $where  = array('nama_kategori' => 'Tutorial');

        // jika memakai IS NULL pada where sql
        $isWhere = null;
        // $isWhere = 'artikel.deleted_at IS NULL';
        header('Content-Type: application/json');
        // echo $this->select_model->get_tables_query($query, $search, $where, $isWhere);
        echo $this->select_model->get_tables_query($query, $search, $where, $isWhere, $csrf_name, $csrf_hash);
    }
    // Cek Identitas Anggota Koperasi
    public function anggota($id)
    {
        // NOtifikasi
        $notif            = $this->notifikasi->notif_kasir();
        $data_login       = $this->userlogin->user_login('isloggedin');
        $data_id_login    = $this->session->userdata('isloggedin');
        // End Notifikasi
        $id_anggota                = $this->encrypt->decode($id);
        $data_identitas            = $this->select_model->getDataIdentitasAnggota($id_anggota);
        // Produk Arisan
        $produk_arisanheboh_aktif  = $this->select_model->getDataProdukAHA($id_anggota);
        $produk_arisanheboh_pasif  = $this->select_model->getDataProdukAHP($id_anggota);
        $produk_arisanmotor_aktif  = $this->select_model->getDataProdukAMA($id_anggota);
        $produk_arisanmotor_pasif  = $this->select_model->getDataProdukAMP($id_anggota);
        $jml_heboh_aktif           = count($produk_arisanheboh_aktif);
        $jml_motor_aktif           = count($produk_arisanmotor_aktif);
        $jml_heboh_pasif           = count($produk_arisanheboh_pasif);
        $jml_motor_pasif           = count($produk_arisanmotor_pasif);
        // Produk Pinjaman
        // Koperasi
        // Aktif
        $produk_arisan_aktif       = $this->select_model->vd_produkKoperasiAktif($id_anggota);
        $jml_produk_arisan_aktif   = count($produk_arisan_aktif);
        // Tidak Aktif
        $produk_arisan_selesai     = $this->select_model->vd_produkKoperasiSelesai($id_anggota);
        $jml_produk_arisan_selesai = count($produk_arisan_selesai);
        // Produk Tabungan
        $produk_tabungan           = $this->db->get_where('p_simpanan', ['anggota_id' => $id_anggota])->result();
        // Jaminan
        $jaminan                   = $this->select_model->vd_jaminanPinjaman();
        // Bagian Nomor HP
        $data_nomor_cadangan       = $this->db->get_where('anggota_hp_cadangan', ['anggota_id' => $id_anggota])->result();
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'            => 'identitas/anggota',
            'page'              => 'index',
            'judul'             => 'Data Identitas Anggota || Bagian Kasir',
            'data_id_login'     => $data_id_login,
            'data_login'        => $data_login,
            'notif'             => $notif,
            // Isi data
            'data_anggota'      => $data_identitas,
            'heboh_aktif'       => $jml_heboh_aktif,
            'motor_aktif'       => $jml_motor_aktif,
            'heboh_pasif'       => $jml_heboh_pasif,
            'motor_pasif'       => $jml_motor_pasif,
            'a_arisanheboh'     => $produk_arisanheboh_aktif,
            'a_arisanmotor'     => $produk_arisanmotor_aktif,
            'p_arisanheboh'     => $produk_arisanheboh_pasif,
            'p_arisanmotor'     => $produk_arisanmotor_pasif,
            'anggota_id'        => $id_anggota,
            'nomor_cadangan'    => $data_nomor_cadangan,
            // Bagian Koperasi
            'pinjaman_aktif'       => $produk_arisan_aktif,
            'jml_pinjaman_aktif'   => $jml_produk_arisan_aktif,
            'pinjaman_selesai'     => $produk_arisan_selesai,
            'jml_pinjaman_selesai' => $jml_produk_arisan_selesai,
            // Jaminan
            'jaminan_pinjaman'     => $jaminan,
            'tabungan'             => $produk_tabungan
        );
        $this->load->view('kasir/index', $data);
    }
    public function tabungan_hapus($id)
    {
        $tabungan_id                = $this->encrypt->decode($id);
        $cek_data                   = $this->db->get_where('p_simpanan', ['id' => $tabungan_id])->row_array();
        if ($cek_data > 0) :
            $this->db->where('id', $tabungan_id);
            $this->db->delete('p_simpanan');
            $this->session->set_flashdata('pesan_berhasil', '<div class="alert alert-success" id="pesan_berhasil" role="alert">Berhasil hapus data tabungan!</div>');
            redirect('kasir/identitas/anggota/' . $this->encrypt->encode($cek_data['anggota_id']));
        else:
            redirect('logout');
        endif;
    }
    public function detail()
    {
        redirect('arisan');
    }
    public function crud()
    {
        if (isset($_POST['updateDataDiriSendiri'])) {
            $data_inputan = $this->_dataInputanIdentitasKaryawan();
            $this->_cekKtpKaryawan($data_inputan);
            $this->_cekEmailKaryawan($data_inputan);
            $this->_cekNomorHPKaryawan($data_inputan);
            $alamat = $this->db->get_where('sistem_alamat', ['nm_desa' => $data_inputan['nm_desa'], 'nm_kecamatan' => $data_inputan['nm_kecamatan'], 'kot_kab' => $data_inputan['kot_kab']])->row_array();
            $alamat_id = $alamat['id'];
            // Cek Identitas Karyawan
            $cek_identitas = $this->db->get_where('sistem_identitas', ['login_id' => $data_inputan['login_id']])->row_array();
            if ($cek_identitas > 0) :
                $this->update_model->updateDataKaryawanLama($data_inputan, $alamat_id);
            else :
                $this->insert_model->tambahDataIdentitasKaryawan($data_inputan, $alamat_id);
            endif;
            $this->session->set_flashdata('pesan_berhasil', '<div class="alert alert-success" id="pesan_berhasil" role="alert">Berhasil merubah data karyawan koperasi!</div>');
            redirect('kasir/identitas');
        }
    }
    // Ajak Cek NIK Anggota
    public function cek_anggota()
    {
        $nik = $this->input->post('nik');
        $identitas_anggota = $this->select_model->getDataAnggota($nik);
        if ($identitas_anggota > 0) :
            echo json_encode($identitas_anggota);
        else :
            $data_new = array(
                'nm_anggota' => '',
                'jk' => 'ok',
                'alamat_lengkap' => '',
                'kode_pos' => '',
                'nm_rt' => 'ok',
                'nm_rw' => 'ok',
                'tempat_lahir' => '',
                'tgl_lahir' =>  '',
                'no_hp' =>  '',
                'pekerjaan' =>  '',
                'suami_istri' =>  '',
                'foto_ktplama' =>  ''
            );
            echo json_encode($data_new);
        endif;
    }
    // Cek tagihan anggota arisan motor cek_tagihan_arisan_motor
    public function cek_tagihan_arisan_motor()
    {
        $inputan             = $this->input->post('nik');
        $hitung_inputan      = strlen($inputan);
        // Validasi total inputan
        $regist_arisan       = $this->input->post('regist_arisan');
        $vh_inputan          = $this->_vh_Inputan($hitung_inputan, $inputan);
        $id_anggota          = $vh_inputan['id_anggota'];
        $identitas_anggota   = $vh_inputan['identitas_anggota'];
        // Cek Arisan
        $cek_arisan          = $this->select_model->getDataArisanAnggota($id_anggota, $regist_arisan);
        // Cek Arisan
        $data_arisan         = $this->select_model->getDataArisanIdentitas($regist_arisan);
        $ttl_tagihan         = count($cek_arisan);
        // Cek Tunggakan
        $data_tunggakan      = $this->select_model->getDataArisanAnggotaTunggakan($id_anggota, $regist_arisan);
        $ttl_tunggakan       = count($data_tunggakan);
        $iuran               = $data_arisan['tagihan_iuran'];
        if ($identitas_anggota > 0) :
            $data_ajax = array(
                'id_anggota'      => $id_anggota,
                'jml_iuran'       => $ttl_tagihan,
                'besar_iuran'     => $iuran,
                'ttl_iuran'       => ($ttl_tagihan * $iuran),
                'jml_tunggakan'   => $ttl_tunggakan,
                'besar_tunggakan' => $iuran,
                'ttl_tunggakan'   => ($ttl_tunggakan * $iuran),
                'ttl_bayar'       => ($ttl_tagihan * $iuran) + ($ttl_tunggakan * $iuran),
                'nm_anggota'      => $vh_inputan['nm_anggota']
            );
        else :
            $data_ajax = array(
                'id_anggota'      => 0,
                'jml_iuran'       => 'NIK / NO Regist / Anggota',
                'besar_iuran'     => 'Tidak Terdaftar',
                'ttl_iuran'       => 'Dalam Kelompok Arisan',
                'jml_tunggakan'   => 'NIK / NO Regist / Anggota',
                'besar_tunggakan' => 'Tidak Terdaftar',
                'ttl_tunggakan'   => 'Dalam Kelompok Arisan',
                'ttl_bayar'       => 'NIK / NO Regist / Anggota Tidak Terdaftar Dalam Kelompok Arisan',
                'nm_anggota'       => 'NIK / NO Regist / Anggota Tidak Terdaftar Dalam Kelompok Arisan'
            );
        endif;
        echo json_encode($data_ajax);
    }
    // Cek tagihan anggota arisan heboh cek_tagihan_arisan_heboh
    public function cek_tagihan_arisan_heboh()
    {
        $inputan             = $this->input->post('nik');
        $hitung_inputan      = strlen($inputan);
        // Validasi total inputan
        $regist_arisan       = $this->input->post('regist_arisan');
        $vh_inputan          = $this->_vh_Inputan($hitung_inputan, $inputan);
        $id_anggota          = $vh_inputan['id_anggota'];
        $identitas_anggota   = $vh_inputan['identitas_anggota'];
        // Cek Arisan
        $cek_arisan          = $this->select_model->getDataArisanAnggota($id_anggota, $regist_arisan);
        // Cek Arisan
        $data_arisan         = $this->select_model->getDataArisanIdentitas($regist_arisan);
        $ttl_tagihan         = count($cek_arisan);
        // Cek Tunggakan
        $data_tunggakan      = $this->select_model->getDataArisanAnggotaTunggakan($id_anggota, $regist_arisan);
        $ttl_tunggakan       = count($data_tunggakan);
        $iuran               = $data_arisan['tagihan_iuran'];
        if ($identitas_anggota > 0) :
            $data_ajax = array(
                'id_anggota'      => $id_anggota,
                'jml_iuran'       => $ttl_tagihan,
                'besar_iuran'     => $iuran,
                'ttl_iuran'       => ($ttl_tagihan * $iuran),
                'jml_tunggakan'   => $ttl_tunggakan,
                'besar_tunggakan' => $iuran,
                'ttl_tunggakan'   => ($ttl_tunggakan * $iuran),
                'ttl_bayar'       => ($ttl_tagihan * $iuran) + ($ttl_tunggakan * $iuran),
                'nm_anggota'      => $vh_inputan['nm_anggota']
            );
        else :
            $data_ajax = array(
                'id_anggota'      => 0,
                'jml_iuran'       => 'NIK / NO Regist / Anggota',
                'besar_iuran'     => 'Tidak Terdaftar',
                'ttl_iuran'       => 'Dalam Kelompok Arisan',
                'jml_tunggakan'   => 'NIK / NO Regist / Anggota',
                'besar_tunggakan' => 'Tidak Terdaftar',
                'ttl_tunggakan'   => 'Dalam Kelompok Arisan',
                'ttl_bayar'       => 'NIK / NO Regist / Anggota Tidak Terdaftar Dalam Kelompok Arisan',
                'nm_anggota'       => 'NIK / NO Regist / Anggota Tidak Terdaftar Dalam Kelompok Arisan'
            );
        endif;
        echo json_encode($data_ajax);
    }
    // Cek angsuran pinjaman
    public function cek_tagihan_angsuran_anggota()
    {
        $kontrak_id             = $this->input->post('kontrak_id');
        $detail_kontrak         = $this->db->get_where('p_koperasi_kontrak', ['id' => $kontrak_id])->row_array();
        $angsuran_dekat         = $this->db->get_where('p_koperasi_angsuran', ['kontrak_id' => $kontrak_id, 'status_angsuran' => 'BELUM'])->row_array();
        $anggota                = $this->db->get_where('anggota', ['id' => $detail_kontrak['anggota_id']])->row_array();
        $jml_tunggakan          = count($this->db->get_where('p_koperasi_angsuran', ['kontrak_id' => $kontrak_id, 'status_angsuran' => 'MACET'])->result());
        if ($detail_kontrak > 0) :
            $data_ajax = array(
                'anggota_id'      => $detail_kontrak['anggota_id'],
                'nm_anggota'      => $anggota['nik'] . ' - ' . $anggota['nm_anggota'],
                'bsr_bayar'       => $angsuran_dekat['bsr_bayar'],
                'angs_ke'         => $angsuran_dekat['angs_ke'],
                'tgl_tempo'       => date('d', strtotime($angsuran_dekat['tgl_tempo'])) . ' ' . $this->mycustom->bulanIndo(date('m', strtotime($angsuran_dekat['tgl_tempo']))) . ' ' .  date('Y', strtotime($angsuran_dekat['tgl_tempo'])),
                'jml_tunggakan'   => $jml_tunggakan,
                'besar_tunggakan' => $angsuran_dekat['bsr_bayar'],
                'ttl_tunggakan'   => $jml_tunggakan * $angsuran_dekat['bsr_bayar'],
                'ttl_bayar'       => ($jml_tunggakan * $angsuran_dekat['bsr_bayar']) + $angsuran_dekat['bsr_bayar']
            );
        else :
            $data_ajax = array(
                'anggota_id'      => 0,
                'nm_anggota'      => 'Nomor Kontrak',
                'bsr_bayar'       => 'Tidak Terdaftar',
                'angs_ke'         => 'Dalam Pinjaman Koperasi',
                'tgl_tempo'       => 'Nomor Kontrak',
                'jml_tunggakan'   => 'Tidak Terdaftar',
                'besar_tunggakan' => 'Dalam Pinjaman Koperasi',
                'ttl_tunggakan'   => 'Nomor Kontrak Tidak Terdaftar Dalam Pinjaman Koperasi',
                'ttl_bayar'       => 'Nomor Kontrak Tidak Terdaftar Dalam Pinjaman Koperasi'
            );
        endif;
        echo json_encode($data_ajax);
    }
    // Cek angsuran lunas pinjaman
    public function cek_tagihan_lunas_angsuran_anggota()
    {
        $kontrak_id             = $this->input->post('kontrak_id');
        $detail_kontrak         = $this->db->get_where('p_koperasi_kontrak', ['id' => $kontrak_id])->row_array();
        // Angsuran Detail
        $angsuran_awal          = $this->select_model->getDataAngsuranSekarang($kontrak_id);
        $angsuran_akhir         = $this->select_model->getDataAngsuranAkhir($kontrak_id);
        $total_angsuran         = $this->select_model->getDataTotalAngsuranLunas($kontrak_id);
        // Tunggakan Detail
        $tunggakan_awal          = $this->select_model->getDataTunggakanSekarang($kontrak_id);
        $tunggakan_akhir         = $this->select_model->getDataTunggakanAkhir($kontrak_id);
        $total_tunggakan         = $this->select_model->getDataTotalTunggakanLunas($kontrak_id);
        $anggota                 = $this->db->get_where('anggota', ['id' => $detail_kontrak['anggota_id']])->row_array();
        if ($detail_kontrak > 0) :
            $data_ajax = array(
                // Data Asli
                // Angsuran
                'angs_ke_lunas'        => $angsuran_awal['angs_ke'],
                'angs_sampai'          => $angsuran_akhir['angs_ke'],
                'bayar_angsuran'       => $total_angsuran['ttl_lunas'],
                // Tunggakan
                'tunggakan_ke'         => $tunggakan_awal['angs_ke'],
                'tunggakan_sampai'     => $tunggakan_akhir['angs_ke'],
                'bayar_tunggakan'      => $total_tunggakan['ttl_lunas'],
                // Total Bayar
                'ttl_bayar_lunas'      => $total_angsuran['ttl_lunas'] + $total_tunggakan['ttl_lunas'],
                // Data Diri
                'anggota_id_lunas'     => $detail_kontrak['anggota_id'],
                'nm_anggota_lunas'     => $anggota['nik'] . ' - ' . $anggota['nm_anggota']
            );
        else :
            $data_ajax = array(
                // Data Asli
                // Angsuran
                'angs_ke_lunas'        => 'Nomor Kontrak',
                'angs_sampai'          => 'Tidak Terdaftar',
                'bayar_angsuran'       => 'Nomor Kontrak Tidak Terdaftar Dalam Pinjaman Koperasi',
                // Tunggakan
                'tunggakan_ke'         => 'Nomor Kontrak',
                'tunggakan_sampai'     => 'Tidak Terdaftar',
                'bayar_tunggakan'      => 'Nomor Kontrak Tidak Terdaftar Dalam Pinjaman Koperasi',
                // Total Bayar
                'ttl_bayar_lunas'      => 'Nomor Kontrak Tidak Terdaftar Dalam Pinjaman Koperasi',
                // Data Diri
                'anggota_id_lunas'     => 0,
                'nm_anggota_lunas'     => 'Nomor Kontrak Tidak Terdaftar Dalam Pinjaman Koperasi'
            );
        endif;
        echo json_encode($data_ajax);
    }
    // Validasi inputan
    private function _vh_Inputan($hitung_inputan, $inputan)
    {
        $regist_arisan       = $this->input->post('regist_arisan');
        if ($hitung_inputan <= 3) :
            $identitas_anggota   = $this->select_model->getDataAnggotaNoUndian($inputan, $regist_arisan); // Menampilkan data anggota dengan Nomor Undian
            $id_anggota          = $identitas_anggota['id_anggota'];
            $nm_anggota          = $identitas_anggota['nm_anggota'];
        elseif ($hitung_inputan >= 4 && $hitung_inputan <= 15) :
            $cek_nomor           = substr($inputan, 0, 1);
            if ($cek_nomor == '0') :
                $identitas_anggota   = $this->select_model->getDataAnggotaNomorHP($inputan); // Menampilkan data anggota dengan Nomor HP
                $id_anggota          = $identitas_anggota['id_anggota'];
                $nm_anggota          = $identitas_anggota['nm_anggota'];
            else :
                $identitas_anggota   = $this->select_model->getDataAnggotaRegistUndian($inputan);
                $id_anggota          = $identitas_anggota['id_anggota'];
                $nm_anggota          = $identitas_anggota['nm_anggota'];
            endif;
        elseif ($hitung_inputan >= 15) :
            $identitas_anggota   = $this->select_model->getDataAnggotaNik2($inputan);
            $id_anggota          = $identitas_anggota['id_anggota'];
            $nm_anggota          = $identitas_anggota['nm_anggota'];
        endif;
        $vh_inputan = array(
            'identitas_anggota' => $identitas_anggota,
            'nm_anggota'        => $nm_anggota,
            'id_anggota'        => $id_anggota
        );
        return $vh_inputan;
    }
    // Data Inputan identitas Karyawan
    private function _dataInputanIdentitasKaryawan()
    {
        $data_inputan = array(
            'login_id'       => htmlspecialchars($this->input->post('login_id')),
            'nik'            => htmlspecialchars($this->input->post('nik')),
            'nik_lama'       => htmlspecialchars($this->input->post('nik_lama')),
            'nm_panggilan'   => htmlspecialchars($this->input->post('nm_panggilan')),
            'jk'             => htmlspecialchars($this->input->post('jk')),
            'kot_kab'        => htmlspecialchars($this->input->post('kota_kabupaten')),
            'nm_kecamatan'   => htmlspecialchars($this->input->post('kecamatan_baru')),
            'nm_desa'        => htmlspecialchars($this->input->post('dk_ds')),
            'tempat_lahir'   => htmlspecialchars($this->input->post('tempat_lahir')),
            'tgl_lahir'      => htmlspecialchars($this->input->post('tgl_lahir')),
            'no_hp_baru'     => htmlspecialchars($this->input->post('no_hp')),
            'no_hp_lama'     => htmlspecialchars($this->input->post('no_hp_lama')),
            'email_baru'     => htmlspecialchars($this->input->post('email_baru')),
            'email_lama'     => htmlspecialchars($this->input->post('email_lama')),
            'tgl_gabung'     => htmlspecialchars($this->input->post('tgl_gabung')),
            'foto_ktp_old'   => htmlspecialchars($this->input->post('foto_ktp_old'))
        );
        return $data_inputan;
    }
    private function _cekKtpKaryawan($data_inputan)
    {
        if ($data_inputan['nik'] != $data_inputan['nik_lama']) :
            $nik = $data_inputan['nik'];
            // Cek Apakah 16 karakter
            $hitung_nik      = strlen($nik);
            if ($hitung_nik != 16) :
                $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">NIK Harus 16 Karakter!</div>');
                redirect('kasir/identitas');
            endif;
            // Apakah NIK sudah terdaftar
            $cek_nik = $this->db->get_where('sistem_identitas', ['nik' => $nik])->row_array();
            if ($cek_nik > 0) :
                $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">NIK Sudah Terdaftar!</div>');
                redirect('kasir/identitas');
            endif;
        endif;
    }
    private function _cekEmailKaryawan($data_inputan)
    {
        if ($data_inputan['email_baru'] != $data_inputan['email_lama']) :
            $cek_email = $this->db->get_where('sistem_login', ['email' => $data_inputan['email_baru']])->row_array();
            if ($cek_email > 0) :
                $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Alamat Email Sudah Di Gunakan Karyawan Lain!</div>');
                redirect('kasir/identitas');
            endif;
        endif;
    }
    private function _cekNomorHPKaryawan($data_inputan)
    {
        if ($data_inputan['no_hp_baru'] != $data_inputan['no_hp_lama']) :
            $cek_email = $this->db->get_where('sistem_login', ['no_hp' => $data_inputan['no_hp_baru']])->row_array();
            if ($cek_email > 0) :
                $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Nomor HP Sudah Di Gunakan Karyawan Lain!</div>');
                redirect('kasir/identitas');
            endif;
        endif;
    }
}

/* End of file ControllerAnggota.php and path \application\controllers\arisan\ControllerAnggota.php */